org.eclipse.eef.common.ui.api

## Interface IEEFConstants

    public interface IEEFConstants

Constants used by the implementors of IEEFTabbedPropertySection.

Since:
  1.6.0

### Field Summary

Fields
`static int` `CENTER_SPACE` Space to leave between the center of the property tab and the closest widget to the left or right.
`static int` `HMARGIN` These horizontal margin around the composite.
`static int` `HSPACE` Horizontal space to leave between related widgets.
`static int` `VMARGIN` These horizontal margin around the composite.
`static int` `VSPACE` Horizontal space to leave between related widgets.

### Field Detail

#### HMARGIN

    static final int HMARGIN

These horizontal margin around the composite. Each section should use a margin of 0, 0.

See Also:
  Constant Field Values

#### VMARGIN

    static final int VMARGIN

These horizontal margin around the composite.

See Also:
  Constant Field Values

#### HSPACE

    static final int HSPACE

Horizontal space to leave between related widgets. Each section should use these values for spacing its widgets. For example, you can use +/- HSPACE as the offset of a left or right FlatFormAttachment. The tabbed property composite also inserts VSPACE pixels between section composites if more than one section is displayed.

See Also:
  Constant Field Values

#### VSPACE

    static final int VSPACE

Horizontal space to leave between related widgets.

See Also:
  Constant Field Values

#### CENTER_SPACE

    static final int CENTER_SPACE

Space to leave between the center of the property tab and the closest widget to the left or right. I.e. for a property tab whose widgets are logically divided into two halves, the total space between the halves should be 2*CENTER_SPACE.

See Also:
  Constant Field Values